# Uses of Class
javafx.scene.input.Dragboard

Packages that use Dragboard
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.
javafx.scene.input
Provides the set of classes for mouse and keyboard input event handling.

## Uses of Dragboard in javafx.scene

Methods in javafx.scene that return Dragboard
Modifier and Type
Method
Description
`Dragboard`
Node.`startDragAndDrop(TransferMode... transferModes)`
Confirms a potential drag and drop gesture that is recognized over this `Node`.
`Dragboard`
Scene.`startDragAndDrop(TransferMode... transferModes)`
Confirms a potential drag and drop gesture that is recognized over this `Scene`.

## Uses of Dragboard in javafx.scene.input

Methods in javafx.scene.input that return Dragboard
Modifier and Type
Method
Description
`final Dragboard`
DragEvent.`getDragboard()`
A dragboard that is available to transfer data.
Constructors in javafx.scene.input with parameters of type Dragboard
Modifier
Constructor
Description
``
`DragEvent(Object source, EventTarget target, EventType<DragEvent> eventType, Dragboard dragboard, double x, double y, double screenX, double screenY, TransferMode transferMode, Object gestureSource, Object gestureTarget, PickResult pickResult)`
Constructs new DragEvent event.
``
`DragEvent(EventType<DragEvent> eventType, Dragboard dragboard, double x, double y, double screenX, double screenY, TransferMode transferMode, Object gestureSource, Object gestureTarget, PickResult pickResult)`
Constructs new DragEvent event with empty source and target.